SOLVED Can not upgrade the latest version

Lillike

Well-Known Member
May 29, 2018
46
2
8
Hungary
cPanel Access Level
Root Administrator
Hello,

I have

  • CENTOS 6.10 virtuozzo
  • v78.0.30
  • Apache 2.4
  • MySQL 5.7
I tried to upgrade to 80.0.15 version.

And:

E Running `/usr/local/cpanel/scripts/updatenow --upcp --log=/var/cpanel/updatelogs/update.1560440592.log` failed, exited with code 1 (signal = 0).

Please, advice.

Thanks.
L
 
Last edited by a moderator:

Lillike

Well-Known Member
May 29, 2018
46
2
8
Hungary
cPanel Access Level
Root Administrator
Hi Michael,

Here's information regarding error:


Update log preview:
Code:
[2019-06-09 15:22:15 -0700] Retrieving and staging /cpanelsync/11.80.0.13/paper_lantern/passenger/views/details.min.js.xz
[2019-06-09 15:22:15 -0700] Retrieving and staging /cpanelsync/11.80.0.13/paper_lantern/passenger/test/eventSourceMock.min.js.xz
[2019-06-09 15:22:15 -0700] Retrieving and staging /cpanelsync/11.80.0.13/paper_lantern/domains/views/listDomains.ptt.xz
[2019-06-09 15:22:15 -0700] Retrieving and staging /cpanelsync/11.80.0.13/paper_lantern/email_accounts/services/emailAccountsService.js.xz
[2019-06-09 15:22:15 -0700] Retrieving and staging /cpanelsync/11.80.0.13/paper_lantern/api_tokens/directives/tableShowing.js.xz
[2019-06-09 15:22:15 -0700] Retrieving and staging /cpanelsync/11.80.0.13/paper_lantern/domains/views/listDomains.js.xz
[2019-06-09 15:22:15 -0700] Retrieving and staging /cpanelsync/11.80.0.13/paper_lantern/domains/views/manageDomain.min.js.xz
[2019-06-09 15:22:15 -0700] Retrieving and staging /cpanelsync/11.80.0.13/paper_lantern/api_tokens/filters/htmlSafeString.js.xz
[2019-06-09 15:22:15 -0700] Retrieving and staging /cpanelsync/11.80.0.13/paper_lantern/multiphp_manager/index.cmb.js.xz
=> Log closed Sun Jun 9 15:22:15 2019
[2019-06-09 15:22:15 -0700] Sync child 25276 exited cleanly.
[2019-06-09 15:22:15 -0700] All files Staged
[2019-06-09 15:22:15 -0700] Testing if the newly downloaded RPMS can be installed without conflict
[2019-06-09 15:22:15 -0700] Testing RPM transaction
[2019-06-09 15:22:16 -0700] file /etc/rc.d/init.d/clamd from install of cpanel-clamav-0.101.2-1.cp1180.x86_64 conflicts with file from package clamd-0.99.4-1.el6.x86_64
[2019-06-09 15:22:16 -0700] W Exit Code: 63
[2019-06-09 15:22:16 -0700] ***** FATAL: Test install failed: file /etc/rc.d/init.d/clamd from install of cpanel-clamav-0.101.2-1.cp1180.x86_64 conflicts with file from package clamd-0.99.4-1.el6.x86_64
[2019-06-09 15:22:16 -0700] The Administrator will be notified to review this output when this script completes
[2019-06-09 15:22:16 -0700] ***** FATAL: Error testing if the RPMs will install: Test install failed: file /etc/rc.d/init.d/clamd from install of cpanel-clamav-0.101.2-1.cp1180.x86_64 conflicts with file from package clamd-0.99.4-1.el6.x86_64
[2019-06-09 15:22:16 -0700] see RPM Installation Failures - cPanel Knowledge Base - cPanel Documentation for more information
[2019-06-09 15:22:16 -0700] The Administrator will be notified to review this output when this script completes
[2019-06-09 15:22:16 -0700] Removing staged files and directories for binaries/linux-c6-x86_64, cpanel
[2019-06-09 15:22:17 -0700] Removing staged files and directories for paper_lantern
=> Log closed Sun Jun 9 15:22:17 2019
[2019-06-09 15:22:17 -0700] 17% complete

Please, advice. Thanks for your help.
 
Last edited by a moderator:

cPanelMichael

Technical Support Community Manager
Staff member
Apr 11, 2011
47,911
2,233
363
cPanel Access Level
DataCenter Provider
Twitter
FATAL: Error testing if the RPMs will install: Test install failed: file /etc/rc.d/init.d/clamd from install of cpanel-clamav-0.101.2-1.cp1180.x86_64 conflicts with file from package clamd-0.99.4-1.el6.x86_64
It looks like you have an OS-provided ClamAV RPM installed at the same time as the cPanel-provided ClamAV RPM. You'll need to uninstall the OS-provided ClamAV instance to fix the RPM conflict. To do this, execute the following command as root:

Code:
yum remove clamd
Then, execute the following command as root to attempt another cPanel update:

Code:
/scripts/upcp
Thank you.
 

Hermetic

Registered
Nov 7, 2019
1
0
0
India
cPanel Access Level
Root Administrator
Hi Team,

How to rectify cpanel update from 82.0.17 to 84.0.7 getting error as "libevent is needed by cpanel-perl-528-DNS-Unbound-0.09-3.cp1180.x86_64"

[2019-11-07 15:10:49 +0530] All files Staged
[2019-11-07 15:10:49 +0530] Testing if the newly downloaded RPMS can be installed without conflict
[2019-11-07 15:10:49 +0530] Testing RPM transaction
[2019-11-07 15:10:49 +0530] libevent is needed by cpanel-perl-528-DNS-Unbound-0.09-3.cp1180.x86_64
[2019-11-07 15:10:49 +0530] W Exit Code: 213
[2019-11-07 15:10:49 +0530] ***** FATAL: Test install failed: error: Failed dependencies:
[2019-11-07 15:10:49 +0530] libevent is needed by cpanel-perl-528-DNS-Unbound-0.09-3.cp1180.x86_64
[2019-11-07 15:10:49 +0530] The Administrator will be notified to review this output when this script completes
[2019-11-07 15:10:49 +0530] ***** FATAL: Error testing if the RPMs will install: Test install failed: error: Failed dependencies:
[2019-11-07 15:10:49 +0530] libevent is needed by cpanel-perl-528-DNS-Unbound-0.09-3.cp1180.x86_64
[2019-11-07 15:10:49 +0530] see RPM Installation Failures - cPanel Knowledge Base - cPanel Documentation for more information
[2019-11-07 15:10:49 +0530] The Administrator will be notified to review this output when this script completes
[2019-11-07 15:10:49 +0530] Removing staged files and directories for binaries/linux-c7-x86_64, cpanel
[2019-11-07 15:10:49 +0530] Removing staged files and directories for paper_lantern
=> Log closed Thu Nov 7 15:10:49 2019
[2019-11-07 15:10:49 +0530] 17% complete
[2019-11-07 15:10:49 +0530] E Running `/usr/local/cpanel/scripts/updatenow --upcp --log=/var/cpanel/updatelogs/update.1573119618.log` failed, exited with code 1 (signal = 0)
=> Log closed Thu Nov 7 15:10:50 2019
=> Log closed Thu Nov 7 15:10:50 2019